=== Zip Recipes Premium ===
Contributors: hgezim, codeswan
Plugin Name: Zip Recipes Premium
Plugin URI: http://www.ziprecipes.net
Plugin GitHub: https://github.com/hgezim/zip-recipes-plugin
License: GPLv3 or later
Author URI: http://www.ziprecipes.net
Author: Gezim Hoxha
Donate link: http://www.ziprecipes.net/donate
Tags: recipe, recipes, recipe card, recipe box, shopping list, grocery list, save recipe, print recipe, hrecipe, schema.org, ziplist, seo, recipe seo, cooking, food, ingredients, nutrition
Requires at least: 3.1
Tested up to: 5.0
Stable tag: 5.0.4
Requires PHP: 5.3

Zip Recipes is the perfect plugin for recipe/food blogs. Creating elegant recipes with images that increase your Google ranking is easy and simple.

== Description ==

**This plugin continues the work of *ZipList Recipe Plugin* and is 100% compatible with it. To replace your ZipList plugin,
all you do is install this plugin and you're done!**

Make your recipes SEO-friendly and rank higher in [Google's Recipe View](http://googleblog.blogspot.com/2011/02/slice-and-dice-your-recipe-search.html) search. No need to hand-code your recipes into a sophisticated recipe structure when the Zip Recipes plugin will do all the heavy lifting for you, enhancing the findability of your recipe website.

[youtube https://www.youtube.com/watch?v=BoI19PM5YVc]

**Watch the video Brief Intro to Zip Recipes WordPress Plugin above.**

The video shows:

* Examples of beautiful recipes created with Zip Recipes plugin
* How easy it is to create recipes
* How Google will display your recipes when you use Zip Recipes plugin

The Zip Recipes plugin is very easy to use, however, we also provide enhanced [step-by-step instructions](https://www.ziprecipes.net/docs/installing/) for your recipe blog. 

Among the new features added by Zip Recipe plugin are:

**Works with WordPress 5:** Updated for full compatibility with WordPress 4.2.

**Schema Recipe Support:** Automatically integrate Schema.org's Recipe mark-up into your recipe posts to make them easier to find by people searching for recipes. 

**Recipe Image Support:** Easily add recipe image using Media Library to appear with your recipe.

**Copy/Paste Recipe Ingredients:** Simply cut a block of recipe ingredients and paste them into one field. No need to add each recipe ingredient one by one into separate recipe ingertient fields.

**Auto-Populate Recipe Name:** The recipe name is automatically replicated inside the plugin, taking the name from the recipe post name, which further enhances SEO.

**Add Links to Recipe Ingredients, Instructions or Other Recipes:** Attach affiliate links or links to related recipes from the Ingredients, Instructions or Summary fields with ease. No other recipe plugin enables you to do this.

**Bold and Italicized Styling for your Recipe:** Add bold or italicized styling to words or phrases within the Recipe Ingredients, Instructions, Summary and Notes sections. 

**Incorporate Recipe Images into Instructions:** Now you can easily add step-by-step images to your instructions (or ingredients) from within the recipe plugin.

**Recipe Notes Field:** Add notes to your recipes, such as optional ingredients, required kitchen tools and equipment and/or additional instructions (e.g., freezing, microwave, etc.)

**Enhanced Recipe Printing Capabilities:** Add a copyright statement or URL to appear at the bottom of your printed recipes. Also, display a permalink at the bottom of printed recipes so users can easily find individual recipes on your website.

**Multiple Paragraph Support in Summary Section of a Recipe:** Users can now add multiple paragraphs to the Summary field within the recipe plugin.

**Support for Your Language** 100% of the recipe card can be your language. Currently we have translations for:
 
 * Albanian
 * Arabic
 * Danish
 * Finnish
 * French
 * German
 * Greek
 * Italian
 * Japanese
 * Polish
 * Portuguese (Brazilian)
 * Russian
 * Serbian
 * Slovak
 * Spanish
 * Swedish
 * Is your language missing from this list? No problem, [email us and help us translate Zip Recipes!](mailto:hello@ziprecipes.net)


The Zip Recipes plugin is very easy to use, however, we also provide enhanced [step-by-step instructions](https://www.ziprecipes.net/docs/installing/). If you're having trouble with Zip Recipes plugin or just want to say hello, [please email us at hello@ziprecipes.net](mailto:hello@ziprecipes.net)! We'd love to hear from you!

== Installation ==

You can get the [detailed installation instructions here](https://www.ziprecipes.net/docs/installing/).

You can download and install the Zip Recipes plugin using the built-in WordPress plugin installer. If you download the Zip Recipes plugin manually, make sure it is uploaded to "/wp-content/plugins/zip-recipes-plugin/".

Activate the Zip Recipes plugin in the "Plugins" admin panel using the "Activate" link.

To use the plugin, click the little Zip Recipes icon on the "Edit Post" pages, right next to the other editor toolbar buttons at the top of the text editor box. Then enter the details about your recipe into the appropriate boxes, and then click the "Add Recipe" button. This will save your recipe, and insert it into your blog post.

The Zip Recipes plugin is very easy use, however, we also provide enhanced [step-by-step instructions](https://www.ziprecipes.net/docs/installing/). If you have more questions on how to use the plugin, feel free to reach out to us at [hello@ziprecipes.net](mailto:hello@ziprecipes.net).

== Frequently Asked Questions ==

= How do I edit a recipe with the Zip Recipes plugin? =

To edit or create a recipe, click the spoon and fork icon on the visual editor toolbar. You no longer need to click on the image placeholder within the blog post to edit a recipe.

= Can I use the plugin to add multiple recipes to one post or page? =

There should only be one recipe per post or page. The plugin does allow for compound recipes which is one way to include multiple lists of ingredients in your post (e.g., for a salad and a salad dressing).Simply enter your instructions for the main recipe, then start the next line with an exclamation point to create a label, like "!For the Salad Dressing". Then, add the instructions for the secondary recipe. Starting with version 2.4, we no longer support multiple Zip Recipes recipes within a single post.

= When I use Zip Recipe plugin where are the recipes stored? =

Your recipes are always stored on your own website. With Zip Recipes plugin, your recipes are stored safely in a separate database table in your main WordPress database. The recipe table is named wp_amd_zlrecipe_recipes and you can take a look at it yourself using any WordPress database tools at your disposal.

= Why do you put a placeholder image into my Edit Post page, instead of my actual recipe? =

Because of the way WordPress' text editor works, if you decide to add or remove something from your recipe using the text editor, it can very easily mess up the markup of the code - so the Zip Recipe plugin prevents that from happening by not allowing you to edit the recipe in the text editor.

= How can I request a feature to be added in future versions of the Zip Recipes plugin? =

I'm glad you asked! You can email [hello@ziprecipes.net](mailto:hello@ziprecipes.net) with your requests.



== Screenshots ==

1. The Zip Recipes plugin icon appears as a fork and spoon on the visual editor toolbar.
2. It's easy to enter the basic information for your recipes: the title, the ingredients and the instructions for preparing the recipe.
3. There is no limit to the number of ingredients you can add.
4. And if you want to add even more information about your recipe, such as your rating of the recipe, or the serving size, all you have to do is click the "More Options" link, and you can!
5. You can fill out as many or as few additional options as you would like.
6. Once you click the "Add Recipe" button, a placeholder image will be inserted into your post where your recipe will go. If you need to edit your recipe, simply click on the spoon and fork icon in the visual editor toolbar.
7. Once you preview or publish the post, your recipe will be there with all your microformats (hrecipe)... without any extra work from you!
8. Voila! Your new recipe can easily be styled with CSS, to look however you would like.

== Changelog ==

= 5.0.4 Bug fixes =

- Fixed an issue where some sites would crash when specific cook/prep time was entered
- Fixed an issue where formatting of subsections in a recipe wasn't working


= 5.0.3 New Automatic Nutrition registration process =

This only affects new users. You don't have to register Automatic Nutrition if you've done that in the past.

= 5.0.2 Best Recipe Creation Experience with Gutenberg =

- Best recipe creation experience: you can now create recipes quickly and more visually than ever before with Zip Recipes and Gutenberg. You can now see your recipe even after you save it while editing the rest of your post.
- New language: Japanese
- New: German, Spanish, French, Italian translations for "Category"

= 4.36 =
- New: Chinese translation
- Fixed: Added a Polish term
- Fixed: Recipe Search could not be disabled
- Fixed: Some people saw crashes due to a conflict
- Fixed: a conflict with VisualComposer plugin


= 4.33 Fixes galore =
- New: Total time is automatically calculated (one less field to fill out!)
- New: The [Featured Image](https://en.support.wordpress.com/featured-images/) of a post will automatically be used in the structured data to tell search engines that the featured images is also the recipe image. You no longer have to set a recipe image if you set a featured image! #TimeSaver
- New: Pasting ingredients and instructions just got easier. We now remove blank lines and extra leading and trailing spaces from ingredients. #SoMuchFreeTimeNow 
- Fixed: warning appearing for some users in create/edit recipe screen
- Fixed: RecipeSearch could not be disabled

= 4.32 Recipe Reviews =

All new: Recipe Reviews. With Recipe reviews, you can engage with your readers and allow them to rate your recipes by adding 
a comment along their rating and explain why they LOVE your recipes!
This feature is available in the Lover plan. 

= 4.31 = 
- All new: Serving adjustments feature!
- Fixed issue with yield (or servings) field not appearing in some premium themes (Cozy Orange and Canada)

= 4.30 =
- Fixed a bug for AMP that some users using the default recipe theme may encounter

= 4.29 Vrooom - speed optimizations for better SEO =
This is a really exciting release for us. Here's a list of the fixes and improvements:
- New: Image optimizations: we load the appropriate image size for your visitor whether they're on a desktop computer or phone. This ensures optimum speed and better SEO.
- New: Script/style optimizations: we've compressed our styles so your visitors are not slowed down by anything extra.
- Better SEO for the [premium recipe card themes](https://www.ziprecipes.net/) by adding H2, H3 tags for recipe title, ingredients, etc.
- [Automatic Nutrition](https://www.ziprecipes.net/automatic-nutrition-landing-page/): Fixed issue where nutrition labels were not generating on some recipes or only half the label generating.
- [Automatic Nutrition](https://www.ziprecipes.net/automatic-nutrition-landing-page/): Fixed issue where nutrition labels were sometimes not generating when a recipe is updated.
- Fixed sorting and other issues for [Recipe Index and Recipe Picture Gallery](https://www.ziprecipes.net/)
- Fixed an issue where paragraph option for main recipe card theme wasn't working.
- Fixed issues with [premium recipe card themes](https://www.ziprecipes.net/) for mobile phones 
- Fixed Google AMP issues for [premium recipe card themes](https://www.ziprecipes.net/) 
- Added Danish translation
- Improved Polish translation

= 4.26 Slovak + AMP fix =
- Added Slovak translation
- Fixed AMP error

= 4.25 =
- Didn't get all the style fixes in last couple versions. Here's another go!

= 4.24 Style fix =
- Fixed more issues with some theme styles

= 4.23 Bug fixes = 
- [(Premium only) Recipe saving to Yummly, Pinterest, Big Oven](https://www.ziprecipes.net/)
- Prep time, cook time, total time are now aligned properly
- Removed prep time, cook time, total time maximum limits as they're not helpful
- Fixed: Cleanup recipe titles on save
- Fixed: some style issues with some themes

= 4.21 Bug fixes + Automatic Nutrition for Spanish recipes =

You should update to get bug fixes and if you're a premium member (Lover package) 
your Spanish recipe website can now take advantage of our
auto-magical feature: [Automatic Nutrition](https://www.ziprecipes.net/automatic-nutrition-landing-page)

= 4.20 Create recipes on the go! = 

- Now you can create recipes from you tablet, phone or computer!
- Recipe creation screen has been redesigned and more user friendly.
- Updated Albanian translation
- Fixed spacing issue for star ratings
- Added translation for Swedish
- (Premium) Fixed issue where wrong recipe would appear in Recipe Grid
- (Premium) Fixed issue where premium templates were reporting instructions as ingredients

= 4.14 JSON-LD support + bug fixes and improvements =
 
- Added support for JSON-LD. The recommended structured data format by Google. We still support the older format for Pinterest.
- Premium version: Recipe ratings improvement
- Premium version: Fixed structured data formatting for authors for premium themes.
- Support for WordPress 4.8


= 4.13 Greek + bug fixes + automatic nutrition calculator for premium =

- For Zip Recipe Lover plan: Added automatic nutrition calculation! Check it out here: https://www.ziprecipes.net/automatic-nutrition-landing-page/
- Moved Yields label higher in entry field
- Fixed a bunch of warnings that may have appeared for some users
- Improved collapsing and expanding "More options" section of recipe entry box
- Renamed Yield to Yields
- Google Accelerated Mobile Pages (AMP) nutrition labels fix 
- Added Greek translation
- Added promotion for automatic nutrition

= 4.12 For Nicolas: Fix for foreign sites =

* There was a problem for non-Lover packages and Lover packages in non-English
that prevented a page's text from rendering. This is fixed here.
* "Your rating:" now translates

= 4.11 For Nicolas: Revered changes  =

* Reverted ratings changes in 4.5.2.16
* Kept translation and AMP fixes

= 4.10 = 

- For Zip Recipe Lover plan: Added automatic nutrition calculation!
- Moved Yields label higher in entry field
- Added promotion for automatic nutrition
- Fixed a bunch of warnings that may have appeared for some users
- Improved collapsing and expanding "More options" section of recipe entry box
- Renamed Yield to Yields
- Added Greek translation

= 4.9.1 Finished adding Arabic, Finnish and German =
 
Thanks to the translators for providing these translations for Finnish, German and Arabic:
Alaa, Thomas, Faruk, and Kirsi.

= 4.9 Fixed a bug with translations and other changes previously =

Ever felt like you couldn't track all your nutritional info? Well, now you can track more than ever.
We just added *cholesterol* and *trans fat* fields.

Speak of more fields, now you can categorize your recipes as an appetizer, entree, etc.
In addition, you can specify a cuisine for your recipe such as French, Ethiopian, etc.
Look for the *Category*  and *Cuisine* fields under *More Options* when you're adding a recipe.

Lastly, you can now add images anywhere in Notes and Summary using the image url syntax (e.g. `%https://i.ytimg.com/vi/P4LhWSN3YSw/maxresdefault.jpg`)!

Oops, that's not all. We've added support for Divi theme and Divi Builder! Rejoice Divi users!

Bug fixes:
* [Better] We do a better job at trying to write to cache to make things faster
* [Better] Improved HTTPS support for your blog

4.7.2.20 Here comes the gallery!

* [New] Recipe Picture Gallery - Zip Recipes Lover plan
* [Fixed] Issue with Easy Recipe import - Zip Recipes Admirer and Lover plan
* [Better] We do a better job at trying to write to cache to make things faster

4.7.2.19 Oops!

* [Fixed] Some files were missing from 4.7.2.18.

4.7.2.18

* [Fixed] Issue with Easy Recipe import
* [Fixed] Recipe Rating feature was caching for some readers and not loading properly.
* [Better] Improved HTTPS support for your blog
* [Better] Removed typos (I can't spell ingredients :S)

4.7.2.17

* [New] Easy Recipe and Easy Recipe PLUS import tool
* [Better] Recipe Index now shows bulleted list of links
* [Better] Secondary recipes start with number 1
* [Better] Re-organized Recipe Index feature to get it ready for Recipe Grid!
* [Better] Fixed label alignment in Add Recipe window
* [Fixed] Images get resized in print preview properly
* [Fixed] Emojis can be used in recipe title and elsewhere <3!
* [Fixed] Structured Data for premium themes

4.5.2.16 Themesss!

* Added 5, delicious  themes for you to choose from
* Fixed issue with PHP 5.3 and Vistor Ratings (thanks @pua2002)
* Made Visitor Ratings more robust, in general
* Visitor Ratings can now be seen in print preview
* Improved formatting for Default theme for Google Accelerated Mobile Pages (AMP)
* A few more translations provided by @nico

4.5.2.12 Authors and Google Accelerated Mobile Pages

* Added Google Accelerated Mobile Pages
* Added support for Authors
* Speed improvement

4.5.2.11 Added new languages

* Added Serbian, Spanish, French, Brazilian Portuguese, and Polish

4.5.2.10 Second attempt at that fix :(

* Some people were experiencing an issue with the install/update. Fixed it. For real, I think!

4.5.2.9 Fixed issue with updating

* Some people were experiencing an issue with the install/update. Fixed it.

4.5.2.8 Bug fixes and improvements

* New: All of the recipe card is translatable to your language
* Better: Changed the way templates are generated to make updates work for more people
* Fixed: Recipe Summary was being included in excerpts with no way to remove it
* Fixed: Settings "Don't show Image in post" and "Don't show Image in print view" were not being respected 

4.5.2.7 We speak your language

* New: Zip Recipes now supports Page Builder by SiteOrigin!
* Better: We made some under the hood changes to the way ingredients and instructions are shown (hint: this is for Recipe Templates feature coming soon!)
* New: Si parla italiano - Italian support is here!
* New: Мы говорим по-русски - Russian support is here!
* New: Kita bercakap melayu - Malay support is here!

4.5.2.6 We speak your language

* New: you can now properly translate duration times (hour, minute, etc.) to any language!
* New: Added Albanian translation (my mother tongue :))
* Better: Suppress  Mediavine Publisher Network ads from showing up when printing recipe

4.5.2.5 Small bug fix with ratings

* Fixed: Google wasn't sure what a valid rating looks like. Told it valid rating can be from 0 to 5 for a recipe.  

4.5.2.4 Better Ratings

* Better: Shows visitors the number of times a recipe has been rated
* Better: Make it clear that visitor can rate recipe by adding "Rate this recipe" label
* Better: Supports WordPress 4.5
* Better: Supports PHP 7
* Fixed: Title was not getting picked up from post title
* Fixed: Issues with non-English recipe titles for Recipe Indexes

4.4.2.2 Manage Extensions

* New: Activate or deactivate extensions such as Recipe Ratings or Recipe Index, etc.

4.4.2.1 Now with Visitor Ratings

* Better: Added Visitor Ratings reature!
* Fixed: Recipe Index no longer shows recipes multiple times
* Better: Works better with Wordpress 4.4
* Better: Lots of infrastructure improvements and minor bug fixes
* Fixed: Prevent Google from indexing Zip Recipes code and complaining
* Fixed: Removed author recipe rating feature (it no longer makes sense and had an issue that makes Google angry)
* Fixed: Spacing issues after first ingredient (some blogs were seeing this)


4.3.1.2 Bug fixes and preparation for WP4.3

* Fixed an issue that made plugin updates not work properly
* Fixed issue causing "Cheatin' uh?" message to be displayed
* Made changes to make Zip Recipes compatible with WordPress 4.3

4.2.1.1 Important formatting fix

* Fixed an issue where special characters (e.g. &) and links would not work properly when a recipe was updated
* Fixed a registration issue
* Enabled stat collection


4.2.1.0 Wonderful update - now easily add images

* You can easily add images using Media Library
* Improved design of recipe summary and image
* Improved design for small (mobile phone) screens

4.2.0.23 Fixed over-zealous excerpt generation

* Fixed over-zealous excerpt generation I introduced in v4.2.0.22 

4.2.0.22 Bug fix issue

* Fixed issues with how excerpts are generated in search and other pages that use excerpts
* Fixed issue with sub-lists label formatting
* Fixed conflict with SEO plugin that affected design
* Fixed some W3C validation issues

4.2.0.21 Fixed issue with plugin update

* This fixes an issue where plugin update doesn't happen correctly for v4.2.0.20

4.2.0.20 New nutritional info!

* You can now track: carbs, protein, fiber, sugar, saturated fat and sodium
* Print button label can now be changed
* Fixed issue where shortcode was being displayed instead of recipe summary in some themes
* Fixed print button link to ensure Google and other search engines don't get confused by it

4.2.0.19 Updated for WP 4.2!

* Updated to work with WordPress 4.2.
* Fixed issue with WooCommerce (again).

4.1.0.18 Bug fix

* Fixed conflict that WooCommerce was causing
* Fixed printed recipes formatting for non-bulleted items

4.1.0.17 Bug Fix

* Fixed bullet and number formatting for ingredient list
* Fixed formatting in Recipe popup
* Fixed registration issue

4.1.0.16 *Important* Bug Fix

* Fixed a formatting issues that was introduced in 4.1.0.15


4.1.0.15 Bug Fix

* Removed tracking beacon to improve privacy.
* Fixed some issues with sites that run on HTTPS.


4.1.0.14 Bug Fix

* Fixed an issue with recipes not formatting sub-recipes headings properly.

4.1.0.13 Bug Fix

* Fixed an issue where Other Options were not being saved in Zip Recipes Plugin settings page.

4.1.0.12 No need to upgrade. Updated registration messaging.

* Updated messaging about registration.
* Updated short description of plugin.

4.1.0.11 No need to upgrade. Just added support for version WP 3.1

* Added support for WordPress 3.1.
* No need to upgrade.

4.1.0.10 Support for 4.1 and database fix

* Fixed issue where database would not be created if it didn't already exist (with prior install of ZipList Recipe Plugin).
* Updated database schema to v3.2


4.0.0.9 Initial release

* First iteration, derived from ZipList Recipe Plugin version 2.6 -- thanks for the jump-start ZipList team!  (http://get.ziplist.com/partner-with-ziplist/wordpress-recipe-plugin/)
* To ensure everything runs smoothly when ZipList website and services go down, we've removed all references to ZipList website
* Removed Save Recipe functionality since ZipList is discontinuing this service (**worry not, we're working on something much cooler! [Shoot us an email](mailto:hello@ziprecipes.net) and we'll tell you all about it!**)

3.0 Final Release

* Remove Save Recipe button connection to ZipList service
* Reduce possibility of JS var collision
* ZipList Recipe plugin release

2.6 Maintenance Release

* Fix for blank Print page in some browsers
* Support for custom post types
* Support for SSL - thanks [jspuij!](https://github.com/jspuij)
* Support for custom content directories - thanks [derekhubbard!](https://github.com/derekhubbard)
* ZipList Recipe plugin release

2.5 Bugfix Release

* Fixes problem of not properly opening recipe dialog in separate window on some sites
* Documentation updates for new editing method
* ZipList Recipe plugin release

2.4 Editor Upgrade, Performance and Bugfix Release

* Simpler, single-button recipe add/edit button in post edit
* Improved mobile compatibility with mobile-based Add Recipe popup
* Easier recipe/print button customizations for web output
* Improved character encoding and handling - thanks [smerriman!](http://github.com/smerriman)
* Improved blogger site performance with CDN cached assets
* ZipList Recipe plugin release

2.3 Emergency Fix for WordPress 3.9 upgrade to TinyMCE v4

* Editor disabled, view recipes only
* Early introductions of v2.4 features
* ZipList Recipe plugin release

2.1/2.2 Bugfix Releases

* Fixes issues with the recipe placeholder introduced in WordPress v3.5
* ZipList Recipe plugin release

2.0 Features Release

* Move to Schema.org/Recipe from hrecipe microformat
* Bold and Italic formatting of ingredients, instructions, summary and notes
* Confirm stability on WP 3.3.1
* ZipList Recipe plugin release

1.41 Bugfix Release

* Fix for repeating dbDelta database error
* UI Improvement to avoid "placeholder" image in post
* Recipe links now open in new tabs
* ZipList Recipe plugin release

1.4 Features Release

* Control display of recipe images on both web and print screens without manual styles or degrading SEO
* Support for optional recipe Notes field with user-definable label
* Easier partner registration for branded recipe display
* Iniital RSS/email support
* Various bugfixes
* ZipList Recipe plugin release

1.3 Features Release

* Printing support for multiple recipes on a page
* Button support for multiple recipe posts displayed on a single page
* User-definable copyright statement or site promotion on print page
* Optional recipe permalink displayed on print page
* Support for multiple summary paragraphs
* ZipList Recipe plugin release

1.2 Features Release

* Support for multiple recipes per page
* Support for labels in instructions
* Support for images images in ingredients and instructions
* Support for hyperlinks in summary, ingredients and instructions
* Removal of "\" characters introduced by entity encoding
* ZipList Recipe plugin release

1.1 Address problem with wp-content reachability of the edit form on some blogs.

1.0 Initial Release

* We're now on GitHub at https://github.com/Ziplist/recipe_plugin
* Recipe print support
* Improved time formatting
* Label support for ingredients !tagged with an exclamation point
* Automatic inclusion of appropriate javascript and css
* ZipList Recipe plugin release

0.9 First iteration, derived from Recipe SEO 1.3.1 -- thanks for the jump-start Allison!  (http://sushiday.com/recipe-seo-plugin/)

== Upgrade Notice ==

= 4.0.0.9 =
Upgrade to Zip Recipe plugin from ZipList Recipe Plugin and lose nothing!

= 4.1.0.10 =
Bugfix update. Upgrade if you cannot see the recipes that you created.

= 4.1.0.11 =
Minor update. You don't need to upgrade at all. This update just adds support for WP 3.1

= 4.1.0.12 =
Minor update. Updated plugin description and registration messaging.

= 4.1.0.13 =
Bugfix update. Fixed issue with Settings page was not saving settings properly.

= 4.1.0.14 =
Bugfix update. Fixed issue with formatting of sub-recipe headings.


= 4.1.0.15 =
Bugfix update. Made plugin more privacy-conscious and fixed some issues for sites using HTTPS. 

= 4.1.0.16 =
Important Bugfix. Fixed a formatting issue introduced in 4.1.0.15.

= 4.1.0.17 =
Fixed issue with registration and added new formatting options while fixing old ones (bullets and numbers).

= 4.1.0.18 =
Fixed printing formatting and issue with WooCommerce.

= 4.2.0.19 =
Updated to work with WP 4.2 and refixed a WooCommerce issue.

= 4.2.0.20 = 
Upgrade and add more nutritional information to your recipes, translate the print button and get more bug fixes.

= 4.2.0.21 = 
Allows you to update plugin properly. (v4.2.0.20 had an issue with that)

= 4.2.0.22 = 
Upgrading will allow you to see recipe summary in excerpts in search page, etc. This also includes other bug fixes.

= 4.2.0.23 = 
Fixes an issue introduced in v4.2.0.22 that makes recipe text show up in unwanted index pages, etc.

= 4.2.1.0 = 
Now you can easily add your recipe image using the Media Library that comes with WordPress. Upgrade for this and other
design improvements.

= 4.2.1.1 = 
Update to receive an important fix for an issue that affects all recipes when they are updated.

= 4.3.1.2 =
Updating will fix potential issues with WordPress 4.3 and a few other (important) bugs.

= 4.5.2.5 =
Updating will fix a small issue with Google and how it understand our recipe ratings

= 4.5.2.6 =
With this update you will have a fully translatable recipe card and more!

= 4.5.2.7 =
Get Page Builder support, new translations and under the hood improvements in this update!

= 4.5.2.8 =
Get your bug fixes bug fixes, get your bug fixes bug fixes today!

= 4.5.2.9 =
Fixes an issue 4.5.2.8 was causing with the plugin updating. 

= 4.5.2.10 =
2nd attempt at fixing an issue 4.5.2.8 was causing with the plugin updating. 

= 4.5.2.11 =
Added Serbian, Spanish, French, Brazilian Portuguese, and Polish.

= 4.9.1 =
Finished adding Arabic, Finnish and German.

= 4.10 = 
Automatic nutrition calculation!

= 4.11 = 
Change the way visitor ratings are done.

= 4.12 = 
Fixed post rendering for non-English sites and sites that use non-Lover package.

= 4.13 = 
Greek + bug fixes + automatic nutrition calculator for Lover plan members. Learn more here: https://www.ziprecipes.net/automatic-nutrition-landing-page/

= 4.14 = 
Support for JSON-LD. Google's recommended way to format your recipes and other bug fixes.

= 4.20 =
Updated recipe creation screen to support mobile devices as well as other improvements.

= 4.21 = 
Misc bug fixes and El español ahora tiene la función de nutrición automática (that means Spanish now has the automatic nutrition feature).

= 4.23 =
Bug fixes and new (premium only) feature: saving recipes to Yummly, Pinterest and Big Oven.

= 4.24 =
Fixed more issues with theme styles

= 4.25 =
Fixed more issues with theme styles (again :\)

= 4.26 = 
Slovak translation added and AMP error fixed

= 4.29 =
Vrooom - speed optimizations for better SEO and too many other fixed and improvements to list!

= 4.30 =
Fixed a bug for AMP that some users using the default recipe theme may encounter

== Features that will be added in upcoming versions of the Zip Recipes plugin ==

* You tell us!
* Have a suggestion for a feature we should add? [Say hello and tell us!](mailto:hello@ziprecipes.net)
